# Copyright (c) Siemens AG, 2020
#
# Authors:
#  Quirin Gylstorff <quirin.gylstorff@siemens.com>
#
# SPDX-License-Identifier: Apache-2.0
#

tolerations:
  - key: node-role.kubernetes.io/master
    effect: NoSchedule

nodeSelector:
  kubernetes.io/role: master

datasources:
  datasources.yaml:
    apiVersion: 1
    datasources:
    - name: prometheus
      type: prometheus
      url: http://prometheus-server.$namespace.svc.cluster.local
      access: proxy
      isDefault: true

dashboardProviders:
  dashboardproviders.yaml:
    apiVersion: 1
    providers:
    - name: 'default'
      orgId: 1
      folder: ''
      type: file
      disableDeletion: false
      editable: true
      options:
        path: /var/lib/grafana/dashboards/default

dashboards:
  default:
    prometheus:
      gnetId: 6417
      datasource: prometheus
# use load balancer to access grafana without port forwarding
# Due to https://github.com/kubernetes/kubernetes/issues/65618 the tolerations to
# run grafana on the master node needs to be commented
# service:
#   type: LoadBalancer
#   ports:
#     port: 443
#     targetPort: 3000
#     annotations:
#       service.beta.kubernetes.io/aws-load-balancer-backend-protocol: http
#       service.beta.kubernetes.io/aws-load-balancer-ssl-ports: '*'
#     labels: {}
#     portName: service
